import{s as dt,o as lt,n as at}from"../chunks/scheduler.8c3d61f6.js";import{S as ct,i as pt,g as i,s as o,r as m,A as ut,h as d,f as r,c as n,j as S,u as f,x as u,k as M,y as t,a as c,v as h,d as v,t as g,w as _}from"../chunks/index.589a98e8.js";import{T as mt}from"../chunks/Tip.42aa8582.js";import{D}from"../chunks/Docstring.27406313.js";import{H as Re,E as ft}from"../chunks/EditOnGithub.e5a8d9cb.js";function ht(ae){let p,E=`The algorithm and model type are decoupled. You can use either DPMSolver or DPMSolver++ for both noise
prediction and data prediction models.`;return{c(){p=i("p"),p.textContent=E},l(b){p=d(b,"P",{"data-svelte-h":!0}),u(p)!=="svelte-95n5s"&&(p.textContent=E)},m(b,Y){c(b,p,Y)},p:at,d(b){b&&r(p)}}}function vt(ae){let p,E,b,Y,O,ce,q,Be='<code>DPMSolverMultistepInverse</code> is the inverted scheduler from <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPM-Solver: A Fast ODE Solver for Diffusion Probabilistic Model Sampling in Around 10 Steps</a> and <a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPM-Solver++: Fast Solver for Guided Sampling of Diffusion Probabilistic Models</a> by Cheng Lu, Yuhao Zhou, Fan Bao, Jianfei Chen, Chongxuan Li, and Jun Zhu.',pe,k,Je='The implementation is mostly based on the DDIM inversion definition of <a href="https://huggingface.co/papers/2211.09794" rel="nofollow">Null-text Inversion for Editing Real Images using Guided Diffusion Models</a> and notebook implementation of the <code>DiffEdit</code> latent inversion from <a href="https://github.com/Xiang-cd/DiffEdit-stable-diffusion/blob/main/diffedit.ipynb" rel="nofollow">Xiang-cd/DiffEdit-stable-diffusion</a>.',ue,N,me,A,Xe=`Dynamic thresholding from <a href="https://huggingface.co/papers/2205.11487" rel="nofollow">Imagen</a> is supported, and for pixel-space
diffusion models, you can set both <code>algorithm_type=&quot;dpmsolver++&quot;</code> and <code>thresholding=True</code> to use the dynamic
thresholding. This thresholding method is unsuitable for latent-space diffusion models such as
Stable Diffusion.`,fe,H,he,l,V,Ie,Z,Ye='<code>DPMSolverMultistepInverseScheduler</code> is the reverse scheduler of <a href="/docs/diffusers/v0.29.0/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler">DPMSolverMultistepScheduler</a>.',we,K,Ze=`This model inherits from <a href="/docs/diffusers/v0.29.0/en/api/schedulers/overview#diffusers.SchedulerMixin">SchedulerMixin</a> and <a href="/docs/diffusers/v0.29.0/en/api/configuration#diffusers.ConfigMixin">ConfigMixin</a>. Check the superclass documentation for the generic
methods the library implements for all schedulers such as loading and saving.`,Ce,x,F,Le,Q,Ke=`Convert the model output to the corresponding type the DPMSolver/DPMSolver++ algorithm needs. DPM-Solver is
designed to discretize an integral of the noise prediction model, and DPM-Solver++ is designed to discretize an
integral of the data prediction model.`,Ee,P,Oe,y,z,qe,ee,Qe="One step for the first-order DPMSolver (equivalent to DDIM).",ke,T,j,Ne,te,et="One step for the second-order multistep DPMSolver.",Ae,I,G,He,re,tt="One step for the third-order multistep DPMSolver.",Ve,w,W,Fe,se,rt=`Ensures interchangeability with schedulers that need to scale the denoising model input depending on the
current timestep.`,ze,C,U,je,oe,st="Sets the discrete timesteps used for the diffusion chain (to be run before inference).",Ge,L,R,We,ne,ot=`Predict the sample from the previous timestep by reversing the SDE. This function propagates the sample with
the multistep DPMSolver.`,ve,B,nt="## SchedulerOutput[[diffusers.schedulers.scheduling_utils.SchedulerOutput]]",ge,$,J,Ue,ie,it="Base class for the output of a scheduler’s <code>step</code> function.",_e,X,be,le,Se;return O=new Re({props:{title:"DPMSolverMultistepInverse",local:"dpmsolvermultistepinverse",headingTag:"h1"}}),N=new Re({props:{title:"Tips",local:"tips",headingTag:"h2"}}),H=new Re({props:{title:"DPMSolverMultistepInverseScheduler",local:"diffusers.DPMSolverMultistepInverseScheduler",headingTag:"h2"}}),V=new D({props:{name:"class diffusers.DPMSolverMultistepInverseScheduler",anchor:"diffusers.DPMSolverMultistepInverseScheduler",parameters:[{name:"num_train_timesteps",val:": int = 1000"},{name:"beta_start",val:": float = 0.0001"},{name:"beta_end",val:": float = 0.02"},{name:"beta_schedule",val:": str = 'linear'"},{name:"trained_betas",val:": Union = None"},{name:"solver_order",val:": int = 2"},{name:"prediction_type",val:": str = 'epsilon'"},{name:"thresholding",val:": bool = False"},{name:"dynamic_thresholding_ratio",val:": float = 0.995"},{name:"sample_max_value",val:": float = 1.0"},{name:"algorithm_type",val:": str = 'dpmsolver++'"},{name:"solver_type",val:": str = 'midpoint'"},{name:"lower_order_final",val:": bool = True"},{name:"euler_at_final",val:": bool = False"},{name:"use_karras_sigmas",val:": Optional = False"},{name:"lambda_min_clipped",val:": float = -inf"},{name:"variance_type",val:": Optional = None"},{name:"timestep_spacing",val:": str = 'linspace'"},{name:"steps_offset",val:": int = 0"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.num_train_timesteps",description:`<strong>num_train_timesteps</strong> (<code>int</code>, defaults to 1000) &#x2014;
The number of diffusion steps to train the model.`,name:"num_train_timesteps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_start",description:`<strong>beta_start</strong> (<code>float</code>, defaults to 0.0001) &#x2014;
The starting <code>beta</code> value of inference.`,name:"beta_start"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_end",description:`<strong>beta_end</strong> (<code>float</code>, defaults to 0.02) &#x2014;
The final <code>beta</code> value.`,name:"beta_end"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.beta_schedule",description:`<strong>beta_schedule</strong> (<code>str</code>, defaults to <code>&quot;linear&quot;</code>) &#x2014;
The beta schedule, a mapping from a beta range to a sequence of betas for stepping the model. Choose from
<code>linear</code>, <code>scaled_linear</code>, or <code>squaredcos_cap_v2</code>.`,name:"beta_schedule"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.trained_betas",description:`<strong>trained_betas</strong> (<code>np.ndarray</code>, <em>optional</em>) &#x2014;
Pass an array of betas directly to the constructor to bypass <code>beta_start</code> and <code>beta_end</code>.`,name:"trained_betas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_order",description:`<strong>solver_order</strong> (<code>int</code>, defaults to 2) &#x2014;
The DPMSolver order which can be <code>1</code> or <code>2</code> or <code>3</code>. It is recommended to use <code>solver_order=2</code> for guided
sampling, and <code>solver_order=3</code> for unconditional sampling.`,name:"solver_order"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.prediction_type",description:`<strong>prediction_type</strong> (<code>str</code>, defaults to <code>epsilon</code>, <em>optional</em>) &#x2014;
Prediction type of the scheduler function; can be <code>epsilon</code> (predicts the noise of the diffusion process),
<code>sample</code> (directly predicts the noisy sample<code>) or </code>v_prediction\` (see section 2.4 of <a href="https://imagen.research.google/video/paper.pdf" rel="nofollow">Imagen
Video</a> paper).`,name:"prediction_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.thresholding",description:`<strong>thresholding</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use the &#x201C;dynamic thresholding&#x201D; method. This is unsuitable for latent-space diffusion models such
as Stable Diffusion.`,name:"thresholding"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dynamic_thresholding_ratio",description:`<strong>dynamic_thresholding_ratio</strong> (<code>float</code>, defaults to 0.995) &#x2014;
The ratio for the dynamic thresholding method. Valid only when <code>thresholding=True</code>.`,name:"dynamic_thresholding_ratio"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.sample_max_value",description:`<strong>sample_max_value</strong> (<code>float</code>, defaults to 1.0) &#x2014;
The threshold value for dynamic thresholding. Valid only when <code>thresholding=True</code> and
<code>algorithm_type=&quot;dpmsolver++&quot;</code>.`,name:"sample_max_value"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.algorithm_type",description:`<strong>algorithm_type</strong> (<code>str</code>, defaults to <code>dpmsolver++</code>) &#x2014;
Algorithm type for the solver; can be <code>dpmsolver</code>, <code>dpmsolver++</code>, <code>sde-dpmsolver</code> or <code>sde-dpmsolver++</code>. The
<code>dpmsolver</code> type implements the algorithms in the <a href="https://huggingface.co/papers/2206.00927" rel="nofollow">DPMSolver</a>
paper, and the <code>dpmsolver++</code> type implements the algorithms in the
<a href="https://huggingface.co/papers/2211.01095" rel="nofollow">DPMSolver++</a> paper. It is recommended to use <code>dpmsolver++</code> or
<code>sde-dpmsolver++</code> with <code>solver_order=2</code> for guided sampling like in Stable Diffusion.`,name:"algorithm_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.solver_type",description:`<strong>solver_type</strong> (<code>str</code>, defaults to <code>midpoint</code>) &#x2014;
Solver type for the second-order solver; can be <code>midpoint</code> or <code>heun</code>. The solver type slightly affects the
sample quality, especially for a small number of steps. It is recommended to use <code>midpoint</code> solvers.`,name:"solver_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lower_order_final",description:`<strong>lower_order_final</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether to use lower-order solvers in the final steps. Only valid for &lt; 15 inference steps. This can
stabilize the sampling of DPMSolver for steps &lt; 15, especially for steps &lt;= 10.`,name:"lower_order_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.euler_at_final",description:`<strong>euler_at_final</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether to use Euler&#x2019;s method in the final step. It is a trade-off between numerical stability and detail
richness. This can stabilize the sampling of the SDE variant of DPMSolver for small number of inference
steps, but sometimes may result in blurring.`,name:"euler_at_final"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.use_karras_sigmas",description:`<strong>use_karras_sigmas</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to use Karras sigmas for step sizes in the noise schedule during the sampling process. If <code>True</code>,
the sigmas are determined according to a sequence of noise levels {&#x3C3;i}.`,name:"use_karras_sigmas"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.lambda_min_clipped",description:`<strong>lambda_min_clipped</strong> (<code>float</code>, defaults to <code>-inf</code>) &#x2014;
Clipping threshold for the minimum value of <code>lambda(t)</code> for numerical stability. This is critical for the
cosine (<code>squaredcos_cap_v2</code>) noise schedule.`,name:"lambda_min_clipped"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.variance_type",description:`<strong>variance_type</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Set to &#x201C;learned&#x201D; or &#x201C;learned_range&#x201D; for diffusion models that predict variance. If set, the model&#x2019;s output
contains the predicted Gaussian variance.`,name:"variance_type"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.timestep_spacing",description:`<strong>timestep_spacing</strong> (<code>str</code>, defaults to <code>&quot;linspace&quot;</code>) &#x2014;
The way the timesteps should be scaled. Refer to Table 2 of the <a href="https://huggingface.co/papers/2305.08891" rel="nofollow">Common Diffusion Noise Schedules and
Sample Steps are Flawed</a> for more information.`,name:"timestep_spacing"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.steps_offset",description:`<strong>steps_offset</strong> (<code>int</code>, defaults to 0) &#x2014;
An offset added to the inference steps, as required by some model families.`,name:"steps_offset"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L74"}}),F=new D({props:{name:"convert_model_output",anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output",parameters:[{name:"model_output",val:": Tensor"},{name:"*args",val:""},{name:"sample",val:": Tensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.convert_model_output.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L389",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The converted model output.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),P=new mt({props:{$$slots:{default:[ht]},$$scope:{ctx:ae}}}),z=new D({props:{name:"dpm_solver_first_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update",parameters:[{name:"model_output",val:": Tensor"},{name:"*args",val:""},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from the learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.dpm_solver_first_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L489",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),j=new D({props:{name:"multistep_dpm_solver_second_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": Tensor = None"},{name:"noise",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.Tensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_second_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L559",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),G=new D({props:{name:"multistep_dpm_solver_third_order_update",anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update",parameters:[{name:"model_output_list",val:": List"},{name:"*args",val:""},{name:"sample",val:": Tensor = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.model_output_list",description:`<strong>model_output_list</strong> (<code>List[torch.Tensor]</code>) &#x2014;
The direct outputs from learned diffusion model at current and latter timesteps.`,name:"model_output_list"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.multistep_dpm_solver_third_order_update.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by diffusion process.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L683",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>The sample tensor at the previous timestep.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),W=new D({props:{name:"scale_model_input",anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input",parameters:[{name:"sample",val:": Tensor"},{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.scale_model_input.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
The input sample.`,name:"sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L870",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A scaled input sample.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>torch.Tensor</code></p>
`}}),U=new D({props:{name:"set_timesteps",anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps",parameters:[{name:"num_inference_steps",val:": int = None"},{name:"device",val:": Union = None"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.num_inference_steps",description:`<strong>num_inference_steps</strong> (<code>int</code>) &#x2014;
The number of diffusion steps used when generating samples with a pre-trained model.`,name:"num_inference_steps"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.set_timesteps.device",description:`<strong>device</strong> (<code>str</code> or <code>torch.device</code>, <em>optional</em>) &#x2014;
The device to which the timesteps should be moved to. If <code>None</code>, the timesteps are not moved.`,name:"device"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L224"}}),R=new D({props:{name:"step",anchor:"diffusers.DPMSolverMultistepInverseScheduler.step",parameters:[{name:"model_output",val:": Tensor"},{name:"timestep",val:": int"},{name:"sample",val:": Tensor"},{name:"generator",val:" = None"},{name:"variance_noise",val:": Optional = None"},{name:"return_dict",val:": bool = True"}],parametersDescription:[{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.model_output",description:`<strong>model_output</strong> (<code>torch.Tensor</code>) &#x2014;
The direct output from learned diffusion model.`,name:"model_output"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.timestep",description:`<strong>timestep</strong> (<code>int</code>) &#x2014;
The current discrete timestep in the diffusion chain.`,name:"timestep"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.sample",description:`<strong>sample</strong> (<code>torch.Tensor</code>) &#x2014;
A current instance of a sample created by the diffusion process.`,name:"sample"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.generator",description:`<strong>generator</strong> (<code>torch.Generator</code>, <em>optional</em>) &#x2014;
A random number generator.`,name:"generator"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.variance_noise",description:`<strong>variance_noise</strong> (<code>torch.Tensor</code>) &#x2014;
Alternative to generating noise with <code>generator</code> by directly providing the noise for the variance
itself. Useful for methods such as <code>CycleDiffusion</code>.`,name:"variance_noise"},{anchor:"diffusers.DPMSolverMultistepInverseScheduler.step.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>) &#x2014;
Whether or not to return a <a href="/docs/diffusers/v0.29.0/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput">SchedulerOutput</a> or <code>tuple</code>.`,name:"return_dict"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_dpmsolver_multistep_inverse.py#L787",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>If return_dict is <code>True</code>, <a
  href="/docs/diffusers/v0.29.0/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> is returned, otherwise a
tuple is returned where the first element is the sample tensor.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><a
  href="/docs/diffusers/v0.29.0/en/api/schedulers/multistep_dpm_solver#diffusers.schedulers.scheduling_utils.SchedulerOutput"
>SchedulerOutput</a> or <code>tuple</code></p>
`}}),J=new D({props:{name:"class diffusers.schedulers.scheduling_utils.SchedulerOutput",anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput",parameters:[{name:"prev_sample",val:": Tensor"}],parametersDescription:[{anchor:"diffusers.schedulers.scheduling_utils.SchedulerOutput.prev_sample",description:`<strong>prev_sample</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, num_channels, height, width)</code> for images) &#x2014;
Computed sample <code>(x_{t-1})</code> of previous timestep. <code>prev_sample</code> should be used as next model input in the
denoising loop.`,name:"prev_sample"}],source:"https://github.com/huggingface/diffusers/blob/v0.29.0/src/diffusers/schedulers/scheduling_utils.py#L60"}}),X=new ft({props:{source:"https://github.com/huggingface/diffusers/blob/main/docs/source/en/api/schedulers/multistep_dpm_solver_inverse.md"}}),{c(){p=i("meta"),E=o(),b=i("p"),Y=o(),m(O.$$.fragment),ce=o(),q=i("p"),q.innerHTML=Be,pe=o(),k=i("p"),k.innerHTML=Je,ue=o(),m(N.$$.fragment),me=o(),A=i("p"),A.innerHTML=Xe,fe=o(),m(H.$$.fragment),he=o(),l=i("div"),m(V.$$.fragment),Ie=o(),Z=i("p"),Z.innerHTML=Ye,we=o(),K=i("p"),K.innerHTML=Ze,Ce=o(),x=i("div"),m(F.$$.fragment),Le=o(),Q=i("p"),Q.textContent=Ke,Ee=o(),m(P.$$.fragment),Oe=o(),y=i("div"),m(z.$$.fragment),qe=o(),ee=i("p"),ee.textContent=Qe,ke=o(),T=i("div"),m(j.$$.fragment),Ne=o(),te=i("p"),te.textContent=et,Ae=o(),I=i("div"),m(G.$$.fragment),He=o(),re=i("p"),re.textContent=tt,Ve=o(),w=i("div"),m(W.$$.fragment),Fe=o(),se=i("p"),se.textContent=rt,ze=o(),C=i("div"),m(U.$$.fragment),je=o(),oe=i("p"),oe.textContent=st,Ge=o(),L=i("div"),m(R.$$.fragment),We=o(),ne=i("p"),ne.textContent=ot,ve=o(),B=i("p"),B.textContent=nt,ge=o(),$=i("div"),m(J.$$.fragment),Ue=o(),ie=i("p"),ie.innerHTML=it,_e=o(),m(X.$$.fragment),be=o(),le=i("p"),this.h()},l(e){const s=ut("svelte-u9bgzb",document.head);p=d(s,"META",{name:!0,content:!0}),s.forEach(r),E=n(e),b=d(e,"P",{}),S(b).forEach(r),Y=n(e),f(O.$$.fragment,e),ce=n(e),q=d(e,"P",{"data-svelte-h":!0}),u(q)!=="svelte-9vmlu9"&&(q.innerHTML=Be),pe=n(e),k=d(e,"P",{"data-svelte-h":!0}),u(k)!=="svelte-jb4p1n"&&(k.innerHTML=Je),ue=n(e),f(N.$$.fragment,e),me=n(e),A=d(e,"P",{"data-svelte-h":!0}),u(A)!=="svelte-1ng0gyl"&&(A.innerHTML=Xe),fe=n(e),f(H.$$.fragment,e),he=n(e),l=d(e,"DIV",{class:!0});var a=S(l);f(V.$$.fragment,a),Ie=n(a),Z=d(a,"P",{"data-svelte-h":!0}),u(Z)!=="svelte-gvh4y9"&&(Z.innerHTML=Ye),we=n(a),K=d(a,"P",{"data-svelte-h":!0}),u(K)!=="svelte-1oeh3qx"&&(K.innerHTML=Ze),Ce=n(a),x=d(a,"DIV",{class:!0});var de=S(x);f(F.$$.fragment,de),Le=n(de),Q=d(de,"P",{"data-svelte-h":!0}),u(Q)!=="svelte-1st02i8"&&(Q.textContent=Ke),Ee=n(de),f(P.$$.fragment,de),de.forEach(r),Oe=n(a),y=d(a,"DIV",{class:!0});var Me=S(y);f(z.$$.fragment,Me),qe=n(Me),ee=d(Me,"P",{"data-svelte-h":!0}),u(ee)!=="svelte-4nw43d"&&(ee.textContent=Qe),Me.forEach(r),ke=n(a),T=d(a,"DIV",{class:!0});var xe=S(T);f(j.$$.fragment,xe),Ne=n(xe),te=d(xe,"P",{"data-svelte-h":!0}),u(te)!=="svelte-1d6o6zu"&&(te.textContent=et),xe.forEach(r),Ae=n(a),I=d(a,"DIV",{class:!0});var $e=S(I);f(G.$$.fragment,$e),He=n($e),re=d($e,"P",{"data-svelte-h":!0}),u(re)!=="svelte-17nne8p"&&(re.textContent=tt),$e.forEach(r),Ve=n(a),w=d(a,"DIV",{class:!0});var De=S(w);f(W.$$.fragment,De),Fe=n(De),se=d(De,"P",{"data-svelte-h":!0}),u(se)!=="svelte-1rkfgpx"&&(se.textContent=rt),De.forEach(r),ze=n(a),C=d(a,"DIV",{class:!0});var Pe=S(C);f(U.$$.fragment,Pe),je=n(Pe),oe=d(Pe,"P",{"data-svelte-h":!0}),u(oe)!=="svelte-1vzm9q"&&(oe.textContent=st),Pe.forEach(r),Ge=n(a),L=d(a,"DIV",{class:!0});var ye=S(L);f(R.$$.fragment,ye),We=n(ye),ne=d(ye,"P",{"data-svelte-h":!0}),u(ne)!=="svelte-7jbjgx"&&(ne.textContent=ot),ye.forEach(r),a.forEach(r),ve=n(e),B=d(e,"P",{"data-svelte-h":!0}),u(B)!=="svelte-jslqpb"&&(B.textContent=nt),ge=n(e),$=d(e,"DIV",{class:!0});var Te=S($);f(J.$$.fragment,Te),Ue=n(Te),ie=d(Te,"P",{"data-svelte-h":!0}),u(ie)!=="svelte-6ojmkw"&&(ie.innerHTML=it),Te.forEach(r),_e=n(e),f(X.$$.fragment,e),be=n(e),le=d(e,"P",{}),S(le).forEach(r),this.h()},h(){M(p,"name","hf:doc:metadata"),M(p,"content",gt),M(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){t(document.head,p),c(e,E,s),c(e,b,s),c(e,Y,s),h(O,e,s),c(e,ce,s),c(e,q,s),c(e,pe,s),c(e,k,s),c(e,ue,s),h(N,e,s),c(e,me,s),c(e,A,s),c(e,fe,s),h(H,e,s),c(e,he,s),c(e,l,s),h(V,l,null),t(l,Ie),t(l,Z),t(l,we),t(l,K),t(l,Ce),t(l,x),h(F,x,null),t(x,Le),t(x,Q),t(x,Ee),h(P,x,null),t(l,Oe),t(l,y),h(z,y,null),t(y,qe),t(y,ee),t(l,ke),t(l,T),h(j,T,null),t(T,Ne),t(T,te),t(l,Ae),t(l,I),h(G,I,null),t(I,He),t(I,re),t(l,Ve),t(l,w),h(W,w,null),t(w,Fe),t(w,se),t(l,ze),t(l,C),h(U,C,null),t(C,je),t(C,oe),t(l,Ge),t(l,L),h(R,L,null),t(L,We),t(L,ne),c(e,ve,s),c(e,B,s),c(e,ge,s),c(e,$,s),h(J,$,null),t($,Ue),t($,ie),c(e,_e,s),h(X,e,s),c(e,be,s),c(e,le,s),Se=!0},p(e,[s]){const a={};s&2&&(a.$$scope={dirty:s,ctx:e}),P.$set(a)},i(e){Se||(v(O.$$.fragment,e),v(N.$$.fragment,e),v(H.$$.fragment,e),v(V.$$.fragment,e),v(F.$$.fragment,e),v(P.$$.fragment,e),v(z.$$.fragment,e),v(j.$$.fragment,e),v(G.$$.fragment,e),v(W.$$.fragment,e),v(U.$$.fragment,e),v(R.$$.fragment,e),v(J.$$.fragment,e),v(X.$$.fragment,e),Se=!0)},o(e){g(O.$$.fragment,e),g(N.$$.fragment,e),g(H.$$.fragment,e),g(V.$$.fragment,e),g(F.$$.fragment,e),g(P.$$.fragment,e),g(z.$$.fragment,e),g(j.$$.fragment,e),g(G.$$.fragment,e),g(W.$$.fragment,e),g(U.$$.fragment,e),g(R.$$.fragment,e),g(J.$$.fragment,e),g(X.$$.fragment,e),Se=!1},d(e){e&&(r(E),r(b),r(Y),r(ce),r(q),r(pe),r(k),r(ue),r(me),r(A),r(fe),r(he),r(l),r(ve),r(B),r(ge),r($),r(_e),r(be),r(le)),r(p),_(O,e),_(N,e),_(H,e),_(V),_(F),_(P),_(z),_(j),_(G),_(W),_(U),_(R),_(J),_(X,e)}}}const gt='{"title":"DPMSolverMultistepInverse","local":"dpmsolvermultistepinverse","sections":[{"title":"Tips","local":"tips","sections":[],"depth":2},{"title":"DPMSolverMultistepInverseScheduler","local":"diffusers.DPMSolverMultistepInverseScheduler","sections":[],"depth":2}],"depth":1}';function _t(ae){return lt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dt extends ct{constructor(p){super(),pt(this,p,_t,vt,dt,{})}}export{Dt as component};
